Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1215 - upgrading to perl-5.004m7-1 breaks mod_perl-1.15-3
Summary: upgrading to perl-5.004m7-1 breaks mod_perl-1.15-3
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-17 13:00 UTC by tegla
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-15 15:23:24 UTC


Attachments (Terms of Use)

Description tegla 1999-02-17 13:00:34 UTC
The mod_perl package supplied with RH52 will not work with
the upgraded perl. Here are the errors apache cries at start
(on our development machine):

[Wed Feb 17 13:38:38 1999] [error] Can't locate
DynaLoader.pm in @INC (@INC contains:
/usr/lib/perl5/i386-linux/5.00404 /usr/lib/perl5
/usr/lib/perl5/site_perl/i386-linux /usr/lib/perl5/site_perl
. /home/medi/ /home/medi/lib/perl /home/medi/codes) at
/usr/lib/perl5/site_perl/DBI.pm line 138.
BEGIN failed--compilation aborted at
/usr/lib/perl5/site_perl/DBI.pm line 138.
BEGIN failed--compilation aborted at
/usr/lib/perl5/site_perl/Apache/DBI.pm line 3.


I was able to cure the whole thing with the following
command (obhack):
ln -s /usr/lib/perl5/i386-linux/5.00405
/usr/lib/perl5/i386-linux/5.00404

Comment 1 Preston Brown 1999-03-15 15:23:59 UTC
Yes, this is the problem with releases of perl which change the major
number.  They do not provide good backwards compatibility..

Rebuilding the source RPM should solve the problem, even though it
isn't an elegant solution.

Agreed that it is a bug, however, the "fix" that we will be
recommending is either the above solution or waiting for the next
release of Red Hat Linux.


Note You need to log in before you can comment on or make changes to this bug.